org.bouncycastle.mail.smime.util

## Class CRLFOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.bouncycastle.mail.smime.util.CRLFOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class CRLFOutputStream
    extends java.io.FilterOutputStream

### Field Summary

Fields
`protected int` `lastb`
`protected static byte[]` `newline`

### Fields inherited from class java.io.FilterOutputStream

`out`

### Constructor Summary

Constructors
Constructor and Description
`CRLFOutputStream(java.io.OutputStream outputstream)`

### Method Summary

Methods
`void` `write(byte[] buf)`
`void` `write(byte[] buf, int off, int len)`
`void` `write(int i)`
`void` `writeln()`

### Methods inherited from class java.io.FilterOutputStream

`close, flush`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lastb

    protected int lastb

#### newline

    protected static byte[] newline

### Constructor Detail

#### CRLFOutputStream

    public CRLFOutputStream(java.io.OutputStream outputstream)

### Method Detail

#### write

    public void write(int i)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] buf)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] buf,
             int off,
             int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`

#### writeln

    public void writeln()
                 throws java.io.IOException

Throws:
  `java.io.IOException`